package com.diagbot.util;

import com.diagbot.facade.data.AMedAdmissionNoteFacade;
import com.diagbot.facade.data.AMedBloodResultFacade;
import com.diagbot.facade.data.AMedBloodTransfusionFacade;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

@Slf4j
@Component
/**
 * 启动时执行缓存，将字段名和注释存储到MAP类型的缓存中
 */
public class ColumnCacheUtil implements ApplicationRunner {

    @Autowired
    private AMedBloodResultFacade aMedBloodResultFacade;

    @Autowired
    private AMedBloodTransfusionFacade aMedBloodTransfusionFacade;

    @Autowired
    private AMedAdmissionNoteFacade aMedAdmissionNoteFacade;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        try {
            aMedBloodResultFacade.getColumnZhAndCh();

            aMedBloodTransfusionFacade.getColumnZhAndCh();

            aMedAdmissionNoteFacade.getColumnZhAndCh();//入院记录



            log.info("列名和注释缓存初始化完成！");
        }catch (Exception e){
            log.error(e.getMessage(),e);
        }
    }
}
